<?php
# ***** BEGIN LICENSE BLOCK *****
#
# Sober
# Theme by Pyeb
# Contributor : Pierre Van Glabeke
# License: public domain
#
# ***** END LICENSE BLOCK *****

# Version originale de dsls : http://www.morefnu.org/

class soberConfig
{
	private $core;

	public function __construct($core) {
		$this->core = $core;
	}

	public function getThumbImages() {
		$headerdir = dirname(__FILE__).'/../img/theme';
		$images = array();
		$prefix = 'blog_theme.php?shot=sober&amp;src=img/theme/';
		if ($dh = opendir($headerdir)) {
			while (($file1 = readdir($dh)) !== false) { 
				if(substr($file1,0,1) != '.' && eregi('^.*\.(jpg|png|gif)$',$file1)) {
					$file=substr($file1,0,strlen($file1)-4);
					$images[$file]=array();
					$images[$file]['img']=$prefix.$file;
					$thumb = preg_replace('/^(.*).(jpg|gif|png)$/','.$1_s.$2',$file1);
					if (file_exists($headerdir.'/'.$thumb))
						$images[$file]['thumb']=$prefix.$thumb;
					else
						$images[$file]['thumb']=$prefix.$file1;

				}
			}
		}
		return $images;

	}

}
?>